Site-packages issue

How to fix this ‘site-packages’ issue?
I only have one version of Python installed.

1 Like

What issue? There is no error in your screenshot.

3 Likes

The system wide site package is in /usr/lib64. One should not install packages using pip there because it’ll overwrite system python packages (packages installed via dnf) and then break any tools that use system files—like dnf. So, you should install whatever packages you want in your user folder, which is what is happening here. However, it is preferred to use virtual environments so that you can have different environments for different needs without creating conflicts. Virtual environments are part of the standard Python 3 distribution (although one can also use other tools like Conda):

https://docs.python.org/3/tutorial/venv.html

1 Like